Skip to main content
Fine-tuning

List fine-tuning checkpoints

GET
/openai/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints

Returns the checkpoints for the specified fine-tuning job.

Path Parameters
fine_tuning_job_idstringrequired
The ID of the fine-tuning job to get checkpoints for.
Query Parameters
afterstringoptional
Identifier for the last checkpoint ID from the previous pagination request.
limitintegeroptionaldefault: 10
Number of checkpoints to retrieve.
Responses
dataOpenAI.FineTuningJobCheckpoint[]required
idstringrequired
The checkpoint identifier, which can be referenced in the API endpoints.
created_atintegerrequired
The Unix timestamp (in seconds) for when the checkpoint was created.
fine_tuned_model_checkpointstringrequired
The name of the fine-tuned checkpoint model that is created.
step_numberintegerrequired
The step number that the checkpoint was created at.
metricsOpenAI.FineTuningJobCheckpointMetricsrequired
Metrics at the step number during the fine-tuning job.
fine_tuning_job_idstringrequired
The name of the fine-tuning job that this checkpoint was created from.
objectenumrequired
The object type, which is always "fine_tuning.job.checkpoint".
fine_tuning.job.checkpoint
objectenumrequired
list
first_idstring | null
last_idstring | null
has_morebooleanrequired
Request
curl https://api.openai.com/v1/fine_tuning/jobs/ftjob-abc123/checkpoints \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response
{
  "object": "list",
  "data": [
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
      "created_at": 1721764867,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:96olL566:ckpt-step-2000",
      "metrics": {
        "full_valid_loss": 0.134,
        "full_valid_mean_token_accuracy": 0.874
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 2000
    },
    {
      "object": "fine_tuning.job.checkpoint",
      "id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
      "created_at": 1721764800,
      "fine_tuned_model_checkpoint": "ft:gpt-4o-mini-2024-07-18:my-org:custom-suffix:7q8mpxmy:ckpt-step-1000",
      "metrics": {
        "full_valid_loss": 0.167,
        "full_valid_mean_token_accuracy": 0.781
      },
      "fine_tuning_job_id": "ftjob-abc123",
      "step_number": 1000
    }
  ],
  "first_id": "ftckpt_zc4Q7MP6XxulcVzj4MZdwsAB",
  "last_id": "ftckpt_enQCFmOTGj3syEpYVhBRLTSy",
  "has_more": true
}